* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background: url('./images/bg01.webp') no-repeat center center fixed;
    background-size: cover;
    color: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

.container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    background: #818181af;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    max-width: 900px;
    width: 90%;
}

.profile {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.profile img {
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
    border: 3.5px solid #ff9100ad;
}

.info {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.info h1 {
    text-align: center;
    margin-bottom: 15px;
    margin-top: 20px;
    display: inline-block;
    font-weight: bold;
    font-size: 1.2em;
    background-color: rgba(0, 0, 0, 0.863);
    border-radius: 1em;
    padding: 0.3em 0.6em;
    color: #fff;
    border: 1px solid #ff9100;
}

.info p {
    font-size: 0.8rem;
    text-align: center;
    margin-bottom: 20px;
    display: inline-block;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0.863);
    border-radius: 1em;
    padding: 0.3em 0.6em;
    color: #fff;
    border: 1px solid #ff9100;
}

.links {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-top: 5px;
}

.links .icon {
    font-size: 2rem;
    color: #fff;
    text-decoration: none;
    transition: color 0.3s;
    position: relative;
}

.links .icon:hover {
    color: #ff9100;
}

/* Tooltip */
.links .icon .tooltip {
  position: absolute;
  bottom: -40px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #ff9100; /* Discord */
  color: #fff;
  padding: 5px 10px;
  border-radius: 6px;
  font-size: 0.7rem;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease, bottom 0.3s ease;
}

/* Flechita */
.links .icon .tooltip::after {
  content: "";
  position: absolute;
  top: -5px;
  left: 50%;
  transform: translateX(-50%);
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent #ff9100 transparent;
}

/* Mostrar tooltip */
.links .icon:hover .tooltip {
  opacity: 1;
  bottom: -50px;
}

/* Hover específico Discord */
/* .links .icon.discord:hover {
  color: #5865F2;
} */


@media (max-width: 1200px) {
    .container {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .profile img {
        width: 150px;
        height: 150px;
    }

    .links  {
        gap: 35px;
        width: 100%;
    }
}

@media (max-width: 768px) {
    .container {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .profile img {
        width: 150px;
        height: 150px;
    }

    .links  {
        gap: 35px;
        width: 100%;
    }
}